<?php header("Content-type: text/xml"); ?>
<?php echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"; ?>
<rss version="2.0">
<channel>
  <title>My Blog Name</title>
  <link>http://example.com/blog</link>
  <description>Keeping webmasters up-to-date on technology.</description>
  <pubDate>Tue, 15 Apr 2008 18:00:00 +0000</pubDate>


<?
include '../wp-content/plugins/wp-o-matic/inc/simplepie/simplepie.class.php'; 

$feed = new SimplePie();  
$feed->set_feed_url('http://feeds2.feedburner.com/VladtvVideoList');

$feed->init();  
$feed->handle_content_type(); 

foreach($feed->get_items() as $item) { 

	$mylink =  $item->get_link();
	$mylink = explode ('v=',$mylink);
	preg_match('/(alt|title|src)=("[^"]*")/i', $item->get_description(), $mynewid);
	//echo $mynewid[0];
	$newdesc = preg_replace('/80/', '',$item->get_description());
	
	
        $output .= '<h2>'.$item->get_title().'</h2>';
        $alldesc = '<![CDATA['.$newdesc.'<object width="448" height="374"><param name="movie" value="http://www.worldstarhiphop.com/videos/e/16711680/'. $mylink[1].'"><param name="allowFullScreen" value="true"></param><embed src="http://www.worldstarhiphop.com/videos/e/16711680/'. $mylink[1].'" type="application/x-shockwave-flash" allowFullscreen="true" width="448" height="374"></embed></object>]]>';

	?>
	<item>
    <title><?=$item->get_title()?></title>
    <pubDate>none</pubDate>
    <link>none</link>
    <description><?=$alldesc?></description>
  </item>
  <?
	
}

 
?>

</channel>
</rss>
